Debian Bug report logs - #340759
doesn't honour root=, fails when disk changes from /dev/hda to /dev/hdc

version graph

Package: yaird; Maintainer for yaird is (unknown);

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Fri, 25 Nov 2005 18:03:02 UTC

Severity: minor

Tags: confirmed

Merged with 382788, 457460

Found in versions 0.0.12-15, yaird/0.0.11-12, yaird/0.0.12-17, yaird/0.0.12-20

Fixed in version 0.0.13-5+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#340759; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: doesn't honour root=, fails when disk changes from /dev/hda to /dev/hdc
Date: Fri, 25 Nov 2005 17:57:35 +0000
Package: yaird
Version: 0.0.11-12
Severity: important

I installed Debian on /dev/hda2, then moved this disk to the 2nd IDE
channel (/dev/hdc), put in another disk as /dev/hda and installed
Debian on /dev/hda3 (/dev/hda2 is swap now).  I mounted /dev/hdc2 and
fixed /etc/fstab, then I booted from hdc2 but yaird still tried to
mount hd_a_2 - and obviously failed.  Booting 2.4 with an initrd
generated by initrd-tools works.  yaird should really take the root=
parameter into account.



-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages yaird depends on:
ii  cpio                         2.6-9       GNU cpio -- a program to manage ar
ii  dash                         0.5.2-8     The Debian Almquist Shell
ii  libc6                        2.3.5-8     GNU C Library: Shared libraries an
ii  libhtml-template-perl        2.6-2       HTML::Template : A module for usin
ii  libparse-recdescent-perl     1.94.free-1 Generates recursive-descent parser
ii  perl                         5.8.7-8     Larry Wall's Practical Extraction 

yaird recommends no packages.

-- no debconf information

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#340759; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 340759@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Martin Michlmayr <tbm@cyrius.com>, 340759@bugs.debian.org
Subject: Re: Bug#340759: doesn't honour root=, fails when disk changes from /dev/hda to /dev/hdc
Date: Fri, 25 Nov 2005 20:44:38 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Fri, 25 Nov 2005 17:57:35 +0000
Martin Michlmayr <tbm@cyrius.com> wrote:

> I installed Debian on /dev/hda2, then moved this disk to the 2nd IDE
> channel (/dev/hdc), put in another disk as /dev/hda and installed
> Debian on /dev/hda3 (/dev/hda2 is swap now).  I mounted /dev/hdc2 and
> fixed /etc/fstab, then I booted from hdc2 but yaird still tried to
> mount hd_a_2 - and obviously failed.  Booting 2.4 with an initrd
> generated by initrd-tools works.  yaird should really take the root=
> parameter into account.

Yaird is different by design than initrd-tools. By default it generates
initial ramdisks working only for your current setup.

I agree that this could be made more flexible, but imagine you moved to
hde2 instead: Then it would not only be a matter of passing the root
argument but also to include whatever additional kernel modules needed
for that other IDE controller.

The approach working with the yaird logic is to regenerate the ramdisk
when things change (which is sometimes tricky, I know...)


So, all in all: I agree this is not great, but disagree that the goal
of yaird must be to behave exactly like initrd-tools.


 - Jonas

- -- 
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

 - Enden er nær: http://www.shibumi.org/eoti.htm
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDh2mmn7DbMsAkQLgRAgLsAKCigGe/vXrPJhDmJUXUZ5mYqa+32wCdF7if
ajycsZYL9uieqXObbOPccPU=
=yRAQ
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#340759; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Sven Luther <sven.luther@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 340759@bugs.debian.org (full text, mbox):

From: Sven Luther <sven.luther@wanadoo.fr>
To: Jonas Smedegaard <dr@jones.dk>, 340759@bugs.debian.org
Cc: Martin Michlmayr <tbm@cyrius.com>
Subject: Re: Bug#340759: doesn't honour root=, fails when disk changes from /dev/hda to /dev/hdc
Date: Fri, 25 Nov 2005 21:48:52 +0100
On Fri, Nov 25, 2005 at 08:44:38PM +0100, Jonas Smedegaard wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> On Fri, 25 Nov 2005 17:57:35 +0000
> Martin Michlmayr <tbm@cyrius.com> wrote:
> 
> > I installed Debian on /dev/hda2, then moved this disk to the 2nd IDE
> > channel (/dev/hdc), put in another disk as /dev/hda and installed
> > Debian on /dev/hda3 (/dev/hda2 is swap now).  I mounted /dev/hdc2 and
> > fixed /etc/fstab, then I booted from hdc2 but yaird still tried to
> > mount hd_a_2 - and obviously failed.  Booting 2.4 with an initrd
> > generated by initrd-tools works.  yaird should really take the root=
> > parameter into account.
> 
> Yaird is different by design than initrd-tools. By default it generates
> initial ramdisks working only for your current setup.
> 
> I agree that this could be made more flexible, but imagine you moved to
> hde2 instead: Then it would not only be a matter of passing the root
> argument but also to include whatever additional kernel modules needed
> for that other IDE controller.
> 
> The approach working with the yaird logic is to regenerate the ramdisk
> when things change (which is sometimes tricky, I know...)
> 
> 
> So, all in all: I agree this is not great, but disagree that the goal
> of yaird must be to behave exactly like initrd-tools.

Well, i kind of disagree, if the user provides a root= argument, then he
probably knows what he does, and if he is wrong, then too bad for him, but
chances are good that he knows what he was doing :)

Friendly,

Sven Luther




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#340759; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 340759@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 340759@bugs.debian.org
Subject: Re: Bug#340759: doesn't honour root=, fails when disk changes from /dev/hda to /dev/hdc
Date: Fri, 25 Nov 2005 21:05:19 +0000
severity 340759 wishlist
thanks

* Sven Luther <sven.luther@wanadoo.fr> [2005-11-25 21:48]:
> > I agree that this could be made more flexible, but imagine you moved to
> > hde2 instead: Then it would not only be a matter of passing the root
...
> Well, i kind of disagree, if the user provides a root= argument, then he
> probably knows what he does, and if he is wrong, then too bad for him, but
> chances are good that he knows what he was doing :)

Yeah, I wouldn't necessarily expect it to work if I moved it to hde
(i.e. a PCI IDE card which requires a specific kernel module) but
stuff like hda/hdc should work.  Wishlisting this.
-- 
Martin Michlmayr
http://www.cyrius.com/



Severity set to `wishlist'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#340759; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 340759@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Sven Luther <sven.luther@wanadoo.fr>, 340759@bugs.debian.org
Cc: tbm@cyrius.com
Subject: Re: Bug#340759: doesn't honour root=, fails when disk changes from /dev/hda to /dev/hdc
Date: Fri, 25 Nov 2005 23:58:09 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Fri, 25 Nov 2005 21:48:52 +0100
Sven Luther <sven.luther@wanadoo.fr> wrote:

> On Fri, Nov 25, 2005 at 08:44:38PM +0100, Jonas Smedegaard wrote:

> > So, all in all: I agree this is not great, but disagree that the
> > goal of yaird must be to behave exactly like initrd-tools.
> 
> Well, i kind of disagree, if the user provides a root= argument, then
> he probably knows what he does, and if he is wrong, then too bad for
> him, but chances are good that he knows what he was doing :)

So what is our disagreement?


 - Jonas

- -- 
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

 - Enden er nær: http://www.shibumi.org/eoti.htm
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDh5cBn7DbMsAkQLgRAmVrAJ0Rz0M2F3+3wXVipFMFAlYaOkbjMACfesQx
pd6P1IqJz/MEEogz0YLKPio=
=ObK2
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#340759; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Sven Luther <sven.luther@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 340759@bugs.debian.org (full text, mbox):

From: Sven Luther <sven.luther@wanadoo.fr>
To: Jonas Smedegaard <dr@jones.dk>, 340759@bugs.debian.org
Cc: Sven Luther <sven.luther@wanadoo.fr>, tbm@cyrius.com
Subject: Re: Bug#340759: doesn't honour root=, fails when disk changes from /dev/hda to /dev/hdc
Date: Sat, 26 Nov 2005 08:42:12 +0100
On Fri, Nov 25, 2005 at 11:58:09PM +0100, Jonas Smedegaard wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> On Fri, 25 Nov 2005 21:48:52 +0100
> Sven Luther <sven.luther@wanadoo.fr> wrote:
> 
> > On Fri, Nov 25, 2005 at 08:44:38PM +0100, Jonas Smedegaard wrote:
> 
> > > So, all in all: I agree this is not great, but disagree that the
> > > goal of yaird must be to behave exactly like initrd-tools.
> > 
> > Well, i kind of disagree, if the user provides a root= argument, then
> > he probably knows what he does, and if he is wrong, then too bad for
> > him, but chances are good that he knows what he was doing :)
> 
> So what is our disagreement?

Mmm, i am confused now, from my understanding i gather that yaird right now
doesn't respect the root= argument when explicitly given, and altough you find
this problematic, you judge it a minor issue. I (and Martin) argue that it is
an important feature to be able to override yaird by setting a root= argument.
Important if not critical, as asking people to boot into d-i and do hand-stuff
to make it work is hardly nice.

So, our disagreement is mostly in the priority of this.

Notice, that one solution would be for yaird to generate a rescue-initramfs
which contains itself and all that is needed to run it (mount /sys, include
perl and co, etc) and then regenerate the minimal ramdisk, altough this would
mostly amount to having a initramfs-tools-like tool.

Friendly,

Sven Luther




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#340759; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 340759@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Sven Luther <sven.luther@wanadoo.fr>
Cc: 340759@bugs.debian.org, tbm@cyrius.com
Subject: Re: Bug#340759: doesn't honour root=, fails when disk changes from /dev/hda to /dev/hdc
Date: Sat, 26 Nov 2005 09:12:25 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Sat, 26 Nov 2005 08:42:12 +0100
Sven Luther <sven.luther@wanadoo.fr> wrote:

> On Fri, Nov 25, 2005 at 11:58:09PM +0100, Jonas Smedegaard wrote:

> > On Fri, 25 Nov 2005 21:48:52 +0100
> > Sven Luther <sven.luther@wanadoo.fr> wrote:
> > 
> > > On Fri, Nov 25, 2005 at 08:44:38PM +0100, Jonas Smedegaard wrote:
> > 
> > > > So, all in all: I agree this is not great, but disagree that the
> > > > goal of yaird must be to behave exactly like initrd-tools.
> > > 
> > > Well, i kind of disagree, if the user provides a root= argument,
> > > then he probably knows what he does, and if he is wrong, then too
> > > bad for him, but chances are good that he knows what he was
> > > doing :)
> > 
> > So what is our disagreement?
> 
> Mmm, i am confused now, from my understanding i gather that yaird
> right now doesn't respect the root= argument when explicitly given,
> and altough you find this problematic, you judge it a minor issue. I
> (and Martin) argue that it is an important feature to be able to
> override yaird by setting a root= argument. Important if not
> critical, as asking people to boot into d-i and do hand-stuff to make
> it work is hardly nice.
> 
> So, our disagreement is mostly in the priority of this.

Thanks for the clarification. It does seem from a later posting,
however, that your view is not necessarily shared with Martin.

Correct: I acknowledge that the behaviour of yaird may come as a
surprise to many, and that it is inconvenient for some kinds of
operations, but judge that not as a "bug", but a design decision.


> Notice, that one solution would be for yaird to generate a
> rescue-initramfs which contains itself and all that is needed to run
> it (mount /sys, include perl and co, etc) and then regenerate the
> minimal ramdisk, altough this would mostly amount to having a
> initramfs-tools-like tool.

If it is a bug to not behave in all areas like (intended for)
initrd-tools, then there is really no sense in making yaird at all:
Next compliant will be (and have already been, if I recall correctly)
that yaird does not support extending by the use of shell snippets.


Initrd-tools and yaird and initramfs-tools share a common goal of
creating an initial ramdisk for kernel bootup processes. Lots of other
goals they do not share.


 - Jonas


- -- 
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

 - Enden er nær: http://www.shibumi.org/eoti.htm
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDiBjpn7DbMsAkQLgRAkagAJ9LR4U2yEBvYU1HNmRdLb9Elq/XNQCZAST1
E3ZebvYrkyHU4dxGnzTtYG0=
=wATB
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#340759; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Sven Luther <sven.luther@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 340759@bugs.debian.org (full text, mbox):

From: Sven Luther <sven.luther@wanadoo.fr>
To: Jonas Smedegaard <dr@jones.dk>
Cc: Sven Luther <sven.luther@wanadoo.fr>, 340759@bugs.debian.org, tbm@cyrius.com
Subject: Re: Bug#340759: doesn't honour root=, fails when disk changes from /dev/hda to /dev/hdc
Date: Sat, 26 Nov 2005 09:52:08 +0100
On Sat, Nov 26, 2005 at 09:12:25AM +0100, Jonas Smedegaard wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> On Sat, 26 Nov 2005 08:42:12 +0100
> Sven Luther <sven.luther@wanadoo.fr> wrote:
> 
> > On Fri, Nov 25, 2005 at 11:58:09PM +0100, Jonas Smedegaard wrote:
> 
> > > On Fri, 25 Nov 2005 21:48:52 +0100
> > > Sven Luther <sven.luther@wanadoo.fr> wrote:
> > > 
> > > > On Fri, Nov 25, 2005 at 08:44:38PM +0100, Jonas Smedegaard wrote:
> > > 
> > > > > So, all in all: I agree this is not great, but disagree that the
> > > > > goal of yaird must be to behave exactly like initrd-tools.
> > > > 
> > > > Well, i kind of disagree, if the user provides a root= argument,
> > > > then he probably knows what he does, and if he is wrong, then too
> > > > bad for him, but chances are good that he knows what he was
> > > > doing :)
> > > 
> > > So what is our disagreement?
> > 
> > Mmm, i am confused now, from my understanding i gather that yaird
> > right now doesn't respect the root= argument when explicitly given,
> > and altough you find this problematic, you judge it a minor issue. I
> > (and Martin) argue that it is an important feature to be able to
> > override yaird by setting a root= argument. Important if not
> > critical, as asking people to boot into d-i and do hand-stuff to make
> > it work is hardly nice.
> > 
> > So, our disagreement is mostly in the priority of this.
> 
> Thanks for the clarification. It does seem from a later posting,
> however, that your view is not necessarily shared with Martin.

I don't think so, and Martin will confirm that.

> Correct: I acknowledge that the behaviour of yaird may come as a
> surprise to many, and that it is inconvenient for some kinds of
> operations, but judge that not as a "bug", but a design decision.

Nope, it is a bug.

> > Notice, that one solution would be for yaird to generate a
> > rescue-initramfs which contains itself and all that is needed to run
> > it (mount /sys, include perl and co, etc) and then regenerate the
> > minimal ramdisk, altough this would mostly amount to having a
> > initramfs-tools-like tool.
> 
> If it is a bug to not behave in all areas like (intended for)
> initrd-tools, then there is really no sense in making yaird at all:

Well, the design goal is to behave like a proper non-initrd kernel in most
respect and have the user not really see a difference. In this way, respecting
root= in all case would be similar to having a non-ramdisk kernel with some
modules builtin (the ones in the ramdisk), and will naturally fail if root is
somewhere else, but in all case, the user can set any root= kind argument he
fancies. If the module for his root device is not in the ramdisk, this is
expected behavior if it fails.

> Next compliant will be (and have already been, if I recall correctly)
> that yaird does not support extending by the use of shell snippets.

This is irrelevant to the discussion at hand though.

> Initrd-tools and yaird and initramfs-tools share a common goal of
> creating an initial ramdisk for kernel bootup processes. Lots of other
> goals they do not share.

Exact, so that the user sees no difference from a non-ramdisk kernel, and this
includes a root= argument support.

Friendly,

Sven Luther






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#340759; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #47 received at 340759@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Sven Luther <sven.luther@wanadoo.fr>
Cc: 340759@bugs.debian.org, tbm@cyrius.com
Subject: Re: Bug#340759: doesn't honour root=, fails when disk changes from /dev/hda to /dev/hdc
Date: Sat, 26 Nov 2005 10:15:56 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

severity 340759 minor
thanks

On Sat, 26 Nov 2005 09:52:08 +0100
Sven Luther <sven.luther@wanadoo.fr> wrote:


> > Thanks for the clarification. It does seem from a later posting,
> > however, that your view is not necessarily shared with Martin.
> 
> I don't think so, and Martin will confirm that.

Was I dreaming again, or did he in fact lower the severity of this bug?


> > If it is a bug to not behave in all areas like (intended for)
> > initrd-tools, then there is really no sense in making yaird at all:
> 
> Well, the design goal is to behave like a proper non-initrd kernel in
> most respect and have the user not really see a difference. In this
> way, respecting root= in all case would be similar to having a
> non-ramdisk kernel with some modules builtin (the ones in the
> ramdisk), and will naturally fail if root is somewhere else, but in
> all case, the user can set any root= kind argument he fancies. If the
> module for his root device is not in the ramdisk, this is expected
> behavior if it fails.

Ah, thanks: You just convinced me that this is a bug (so raising
severity slightly), although still not a serious one.


 - Jonas

- -- 
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

 - Enden er nær: http://www.shibumi.org/eoti.htm
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDiCfMn7DbMsAkQLgRAprtAJ0deWboUq4CEkfPnVo4x+YLWfpCUQCfatHS
Lekx1qdQjoSpGnyaNVFdbtM=
=jMI3
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Yaird Team <yaird-devel@lists.alioth.debian.org>:
Bug#340759; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Eric Lavarde <debian.bugs.nospam@zorglub.s.bawue.de>:
Extra info received and forwarded to list. Copy sent to Yaird Team <yaird-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #52 received at 340759@bugs.debian.org (full text, mbox):

From: Eric Lavarde <debian.bugs.nospam@zorglub.s.bawue.de>
To: Debian Bug Tracking System <340759@bugs.debian.org>
Subject: yaird: Suggest adding warning when root= kernel parameter is present.
Date: Sat, 05 May 2007 20:38:03 +0200
[Message part 1 (text/plain, inline)]
Package: yaird
Version: 0.0.12-20
Followup-For: Bug #340759


Hi,

I've just spent a few hours to find out why my Linux installation I
copied from one partition to the other was still booting from the old
one, and refused to boot from the new one, even though I'd edited grub
and fstab.

I've read the thread, and I suggest to add at least the attached patch
etc_yaird_Templates.warn.diff in order to let people know where the problem
might lie...
The patch is untested but it looks simple enough to me.

I attach a 2nd patch, untested as well, which might fix the issue,
assuming no special module is required, obviously (hence I added a
message).

Having the first fix would have already helped me a lot, having the 2nd
one working would be even greater! ;-)

Thanks, Eric

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'testing-proposed-updates'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-4-k7 (SMP w/1 CPU core)
Locale: LANG=en_IE.UTF-8, LC_CTYPE=en_IE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages yaird depends on:
ii  cpio                        2.7-1        GNU cpio -- a program to manage ar
ii  dash                        0.5.3-7      The Debian Almquist Shell
ii  libc6                       2.3.6.ds1-13 GNU C Library: Shared libraries
ii  libhtml-template-perl       2.9-1        HTML::Template : A module for usin
ii  libparse-recdescent-perl    1.94.free-4  Generates recursive-descent parser
ii  perl                        5.8.8-7      Larry Wall's Practical Extraction 

yaird recommends no packages.

-- no debconf information
[etc_yaird_Templates.warn.diff (text/plain, attachment)]
[etc_yaird_Templates.fix.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Yaird Team <yaird-devel@lists.alioth.debian.org>:
Bug#340759; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to ingo wagener <ingo@german-connection.org>:
Extra info received and forwarded to list. Copy sent to Yaird Team <yaird-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #57 received at 340759@bugs.debian.org (full text, mbox):

From: ingo wagener <ingo@german-connection.org>
To: 340759@bugs.debian.org
Subject: wishlist
Date: Sun, 30 Sep 2007 10:46:23 +0200
It seems to me that yaird behaves in a similar way to lilo: either you update 
your lilo/ramdisk in time or it is too late - isn't that one of the reasons 
why lilo got superseded by grub?

Since it is working fine otherwise I'd say yaird is great, but to find these 
things out when it is too late is not pleasing to the end user to say the 
least. 

I reckon some kind of change in yaird to reflect this shortcoming will only 
help it in its development.

Cheers

Ingo




Information forwarded to debian-bugs-dist@lists.debian.org, Yaird Team <yaird-devel@lists.alioth.debian.org>:
Bug#340759; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Yaird Team <yaird-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #62 received at 340759@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: control@bugs.debian.org
Cc: 337065@bugs.debian.org, 337724@bugs.debian.org, 340759@bugs.debian.org, 341522@bugs.debian.org, 352757@bugs.debian.org, 382788@bugs.debian.org, 457459@bugs.debian.org, 457462@bugs.debian.org, 457465@bugs.debian.org
Subject: setting package to yaird, forcibly merging 337724 457465, forcibly merging 337065 457462 ... ... ...
Date: Sat, 22 Dec 2007 21:55:18 +0100
# Automatically generated email from bts, devscripts version 2.10.11
package yaird
forcemerge 337724 457465
forcemerge 337065 457462
forcemerge 341522 352757
#forgot to cc control@b.d.o
severity 340759 minor
forcemerge 340759 382788 457459





Severity set to `minor' from `wishlist' Request was from Jonas Smedegaard <dr@jones.dk> to control@bugs.debian.org. (Sat, 22 Dec 2007 21:01:00 GMT) Full text and rfc822 format available.

Forcibly Merged 340759 382788 457459. Request was from Jonas Smedegaard <dr@jones.dk> to control@bugs.debian.org. (Sat, 22 Dec 2007 21:01:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Yaird Team <yaird-devel@lists.alioth.debian.org>:
Bug#340759; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Yaird Team <yaird-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #71 received at 340759@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: control@bugs.debian.org
Cc: 340759@bugs.debian.org, 457459@bugs.debian.org, 457460@bugs.debian.org
Subject: setting package to yaird, forcibly merging 340759 457460, unmerging 457459 ...
Date: Sat, 22 Dec 2007 22:20:35 +0100
# Automatically generated email from bts, devscripts version 2.10.11
package yaird
forcemerge 340759 457460
# whoops - wrong bug merged
unmerge 457459
severity 457459 serious





Forcibly Merged 340759 382788 457459 457460. Request was from Jonas Smedegaard <dr@jones.dk> to control@bugs.debian.org. (Sat, 22 Dec 2007 21:21:05 GMT) Full text and rfc822 format available.

Disconnected #457459 from all other report(s). Request was from Jonas Smedegaard <dr@jones.dk> to control@bugs.debian.org. (Sat, 22 Dec 2007 21:21:08 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 14 May 2011 11:52:08 GMT) Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. (Sat, 14 May 2011 11:52:08 GMT) Full text and rfc822 format available.

Message #80 received at 340759-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 327762-done@bugs.debian.org,328508-done@bugs.debian.org,335315-done@bugs.debian.org,336392-done@bugs.debian.org,336454-done@bugs.debian.org,336514-done@bugs.debian.org,336518-done@bugs.debian.org,336599-done@bugs.debian.org,336688-done@bugs.debian.org,336995-done@bugs.debian.org,337065-done@bugs.debian.org,337724-done@bugs.debian.org,338734-done@bugs.debian.org,338951-done@bugs.debian.org,339941-done@bugs.debian.org,340344-done@bugs.debian.org,340593-done@bugs.debian.org,340746-done@bugs.debian.org,340759-done@bugs.debian.org,340873-done@bugs.debian.org,341273-done@bugs.debian.org,341498-done@bugs.debian.org,341522-done@bugs.debian.org,343592-done@bugs.debian.org,343911-done@bugs.debian.org,343918-done@bugs.debian.org,344926-done@bugs.debian.org,345374-done@bugs.debian.org,346093-done@bugs.debian.org,346294-done@bugs.debian.org,348293-done@bugs.debian.org,350880-done@bugs.debian.org,352677-done@bugs.debian.org,352757-done@bugs.debian.org,360665-done@bugs.debian.org,365818-done@bugs.debian.org,369965-done@bugs.debian.org,370616-done@bugs.debian.org,372834-done@bugs.debian.org,377801-done@bugs.debian.org,378481-done@bugs.debian.org,378936-done@bugs.debian.org,381299-done@bugs.debian.org,382788-done@bugs.debian.org,382945-done@bugs.debian.org,386483-done@bugs.debian.org,387081-done@bugs.debian.org,387543-done@bugs.debian.org,388066-done@bugs.debian.org,389441-done@bugs.debian.org,391221-done@bugs.debian.org,391446-done@bugs.debian.org,391456-done@bugs.debian.org,394190-done@bugs.debian.org,394389-done@bugs.debian.org,394480-done@bugs.debian.org,396963-done@bugs.debian.org,401050-done@bugs.debian.org,403203-done@bugs.debian.org,404859-done@bugs.debian.org,405804-done@bugs.debian.org,422412-done@bugs.debian.org,429629-done@bugs.debian.org,429928-done@bugs.debian.org,446242-done@bugs.debian.org,457177-done@bugs.debian.org,457460-done@bugs.debian.org,457462-done@bugs.debian.org,457465-done@bugs.debian.org,457466-done@bugs.debian.org,457467-done@bugs.debian.org,459777-done@bugs.debian.org,496500-done@bugs.debian.org,516465-done@bugs.debian.org,518315-done@bugs.debian.org,519866-done@bugs.debian.org,520535-done@bugs.debian.org,552872-done@bugs.debian.org,584565-done@bugs.debian.org,626612-done@bugs.debian.org,
Cc: yaird@packages.debian.org, yaird@packages.qa.debian.org
Subject: Bug#626688: Removed package(s) from unstable
Date: Sat, 14 May 2011 11:46:56 +0000
Version: 0.0.13-5+rm

Dear submitter,

as the package yaird has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/626688

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Ansgar Burchardt (the ftpmaster behind the curtain)




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 14 May 2011 11:52:09 GMT) Full text and rfc822 format available.

Notification sent to Pierre Habouzit <madcoder@debian.org>:
Bug acknowledged by developer. (Sat, 14 May 2011 11:52:09 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 14 May 2011 11:52:10 GMT) Full text and rfc822 format available.

Notification sent to maximilian attems <max@stro.at>:
Bug acknowledged by developer. (Sat, 14 May 2011 11:52:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 12 Jun 2011 07:39:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:02:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.